Bug 48707 - FILESAVE overline automatic color incorrect in pdf
Summary: FILESAVE overline automatic color incorrect in pdf
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.3 release
Hardware: All All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2012-04-14 17:47 UTC by Christopher M. Penalver
Modified: 2019-10-08 02:27 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Problem with overline after pdf-export (152.15 KB, image/png)
2015-05-01 07:02 UTC, Markus Schelbert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher M. Penalver 2012-04-14 17:47:46 UTC
Downstream bug may be found at:
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/819796

1) lsb_release -rd
Description:	Ubuntu precise (development branch)
Release:	12.04

2) apt-cache policy libreoffice-writer
libreoffice-writer:
  Installed: 1:3.5.2-2ubuntu1
  Candidate: 1:3.5.2-2ubuntu1
  Version table:
 *** 1:3.5.2-2ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ precise/main i386 Packages
        100 /var/lib/dpkg/status

3) What is expected to happen in LibreOffice Writer via the Terminal:

cd ~/Desktop && wget -c https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/819796/+attachment/2251624/+files/overline%20color%20test.odt -O test.odt && lowriter -nologo test.odt

File -> Export as PDF -> Export button and open in Adobe Reader is the overline above B remains red.

4) What happens is it is black.

WORKAROUND: Highlight B -> Secondary click -> click character... -> Font Effects tab -> change Overline color from Automatic to Light red -> OK button
Comment 1 retired 2014-05-04 12:46:19 UTC
Hi Christopher, I do not understand the reproduce steps of this bug.

Is this bug still valid / reproducible with the latest LO release?  Currently 4.2.3: http://www.libreoffice.org/download/libreoffice-fresh/

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Should this be still reproducible for you with the latest LO release please set this bug back to UNCONFIRMED. Should this issue be solved set it to WORKSFORME. In that case please attach a test file with which this can easily be reproduced. Thanks :)

Setting to NEEDINFO until more detail is provided.
Comment 2 Christopher M. Penalver 2014-05-04 16:33:30 UTC
Foss:

>"Hi Christopher, I do not understand the reproduce steps of this bug."

If you don't understand the click-for-click reproduction steps provided in the Description, then you shouldn't toggle the Status of this bug.

>"Is this bug still valid / reproducible with the latest LO release?  Currently 4.2.3: http://www.libreoffice.org/download/libreoffice-fresh/"

As the reproduction steps are trivial to follow, did you try this? Despite this, reproducible in:
Microsoft Windows Vista Business x86 6.0.6002 Service Pack 2 Build 6002
Version: 4.3.0.0.alpha1+
Build ID: a3c00ee3c7b3b0fbcde32baeb7023c7e8526b908
TinderBox: Win-x86@47-TDF, Branch:MASTER, Time: 2014-04-28_07:22:55
 
>"Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile"

I don't ever modify my profile so that is silly to do here.

>"In that case please attach a test file with which this can easily be reproduced."

Please read the Description for the attachment.
Comment 3 Markus Schelbert 2015-05-01 07:02:06 UTC
Created attachment 115230 [details]
Problem with overline after pdf-export
Comment 4 Markus Schelbert 2015-05-01 07:08:04 UTC
Hi 

I have the same Problem and maked a screenshot. the overline is only black in the pdf-export, when no space exists between the different charformats. See the blue arrows in the attachment. if the overline is seperated with whitespaces or return, the problem doesn't exist.

msg132e
Comment 5 Xisco Faulí 2016-04-27 13:40:25 UTC
This issue is still reproducible in

Version: 5.2.0.0.alpha1+
Build ID: e7f55f15ccd97bc92e1400bc5862171a621da3e2
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-04-27_00:29:05
Locale: es-ES (es_ES)
Comment 6 QA Administrators 2017-05-22 13:39:20 UTC Comment hidden (obsolete)
Comment 7 Roman Kuznetsov 2018-10-07 10:54:01 UTC
still repro in 

Version: 6.2.0.0.alpha0+ (x64)
Build ID: e7d5bad5ae083da12c3ec4a4a8bdc8b42447a242
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-06_02:55:02
Locale: ru-RU (ru_RU); Calc: threaded
Comment 8 QA Administrators 2019-10-08 02:27:52 UTC
Dear Christopher M. Penalver,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug